commit:     03040571481e27e7176bf21dcc072bde7e24918f
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 10 00:45:32 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Jan 10 00:45:32 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=03040571

sys-firmware/intel-microcode: Bump to v20180108

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 sys-firmware/intel-microcode/Manifest              |  1 +
 .../intel-microcode-20180108.ebuild                | 48 ++++++++++++++++++++++
 2 files changed, 49 insertions(+)

diff --git a/sys-firmware/intel-microcode/Manifest 
b/sys-firmware/intel-microcode/Manifest
index 27d1b399f22..fd559a8df6f 100644
--- a/sys-firmware/intel-microcode/Manifest
+++ b/sys-firmware/intel-microcode/Manifest
@@ -11,3 +11,4 @@ DIST microcode-20170707.tgz 2908882 BLAKE2B 
545d94ee9292d1ba730932f11660d0e0378b
 DIST microcode-20171117.tgz 3594762 BLAKE2B 
7a02c28ec6b9b22a367f8fd7d59f244d0195fef3b256fa2542bca734026e869fdefc7b368a230e94ac0554473d18d1b80aa00511ad4ab6580279f512a106c17d
 SHA512 
b1f09dd7bb04c00e456e34bf42bf786c780aba6d2ef3231a45769216a093876e9bb15123c82ddb7d8ef5426fe10b946509f363770af3b4eba16ba76043a064b4
 DIST microcode-20171117_p20171215-r1.tgz 1477015 BLAKE2B 
3911aed3bbbd350be69a99bc855cdec6e8dc2a77f64c4d3a6c1aa24455d5c97eb1c03917eddb4cac2018f6da20a1751cc819a5f27f866f64fc56c7279b5ca40f
 SHA512 
05466e16f9778a3ab148fa5485cd605bca7990067040aa9133ec4c3c1b007519cb260fe8811b44df1192ca0e84237f00d7afccfa11103f3dd4a99c08c692ecb0
 DIST microcode-20171117_p20171215.tgz 1468587 BLAKE2B 
58777a39f843ae880f7dd8971a9570dbfc176d69541bb9d3cdc948d7be71a7df2559265fb1c8a199bc7567bb5a60176ade1d2c36624d0193dbac98d82401d0dd
 SHA512 
25db94dbf18b1fea9497ec1e61bb5349d7bc78b0578d8869546bc3ec579b96bee7cd62657e66ebd3d4616805e85d790ac7ee7c0fed70b5db30236ffd12b33293
+DIST microcode-20180108.tgz 3676678 BLAKE2B 
197e0188e516a3071be9e2e7a6261d78208613db8b746c7df533ce37884197dbd06a4e6ab027cbddba38903f590130f2d974e46da8fbab0613561523653460ab
 SHA512 
f4010d83353948df27beeb804ef11e4f019f63397a4936f9d139e2842f7944d1ae864b9376987eaffc7db5b97201d5de2f4c1d7cc6b0f545ae15ec53a61fce2b

diff --git a/sys-firmware/intel-microcode/intel-microcode-20180108.ebuild 
b/sys-firmware/intel-microcode/intel-microcode-20180108.ebuild
new file mode 100644
index 00000000000..968efe5324a
--- /dev/null
+++ b/sys-firmware/intel-microcode/intel-microcode-20180108.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+
+inherit toolchain-funcs
+
+# Find updates by searching and clicking the first link (hopefully it's the 
one):
+# 
http://www.intel.com/content/www/us/en/search.html?keyword=Processor+Microcode+Data+File
+
+NUM="27431"
+DESCRIPTION="Intel IA32/IA64 microcode update data"
+HOMEPAGE="http://inertiawar.com/microcode/ 
https://downloadcenter.intel.com/Detail_Desc.aspx?DwnldID=${NUM}";
+SRC_URI="http://downloadmirror.intel.com/${NUM}/eng/microcode-${PV}.tgz";
+
+LICENSE="intel-ucode"
+SLOT="0"
+KEYWORDS="-* ~amd64 ~x86"
+IUSE="initramfs monolithic +split-ucode"
+REQUIRED_USE="|| ( initramfs monolithic split-ucode )"
+
+DEPEND="initramfs? ( sys-apps/iucode_tool )"
+RDEPEND="!<sys-apps/microcode-ctl-1.17-r2" #268586
+
+S=${WORKDIR}
+
+src_unpack() {
+       default
+       cp "${FILESDIR}"/intel-microcode2ucode.c-r1 ./intel-microcode2ucode.c 
|| die
+}
+
+src_compile() {
+       if use initramfs ; then
+               iucode_tool --write-earlyfw=microcode.cpio microcode.dat || die
+       fi
+
+       if use split-ucode ; then
+               tc-env_build emake intel-microcode2ucode
+               ./intel-microcode2ucode microcode.dat || die
+       fi
+}
+
+src_install() {
+       insinto /lib/firmware
+       use initramfs && doins microcode.cpio
+       use monolithic && doins microcode.dat
+       use split-ucode && doins -r intel-ucode
+}

Reply via email to